Bug 1121075 - Review Request: rubygem-websocket-driver - WebSocket protocol handler with pluggable I/O
Summary: Review Request: rubygem-websocket-driver - WebSocket protocol handler with pl...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:22 UTC by Josef Stribny
Modified: 2016-01-04 05:53 UTC (History)
4 users (show)

Fixed In Version: rubygem-websocket-driver-0.3.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-02 13:27:45 UTC
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Josef Stribny 2014-07-18 10:22:49 UTC
Spec URL: http://data-strzibny.rhcloud.com/obs/rubygem-websocket-driver.spec
SRPM URL: http://data-strzibny.rhcloud.com/obs/rubygem-websocket-driver-0.3.4-1.fc22.src.rpm
Description: This module provides a complete implementation of the WebSocket protocols that
can be hooked up to any TCP library. It aims to simplify things by decoupling
the protocol details from the I/O layer, such that users only need to implement
code to stream data in and out of it without needing to know anything about how
the protocol actually works. Think of it as a complete WebSocket system with
pluggable I/O.
Fedora Account System Username: jstribny

Comment 1 Miroslav Suchý 2014-08-27 09:17:00 UTC
# git clone https://github.com/faye/websocket-driver-ruby.git
# cd websocket-driver-ruby && git checkout 0.3.4
# tar czvf websocket-driver-ruby-0.3.4-tests.tgz spec/

This does not work for me. No such branch.

Comment 2 Josef Stribny 2014-08-27 10:53:27 UTC
It should work, I just tried that:

$ git clone https://github.com/faye/websocket-driver-ruby.git
Cloning into 'websocket-driver-ruby'...
remote: Counting objects: 1797, done.
remote: Total 1797 (delta 0), reused 0 (delta 0)
Receiving objects: 100% (1797/1797), 318.76 KiB | 210.00 KiB/s, done.
Resolving deltas: 100% (881/881), done.
Checking connectivity... done.

$ cd websocket-driver-ruby
$ git tag
0.0.0
0.1.0
0.2.0
0.2.1
0.2.2
0.2.3
0.3.0
0.3.1
0.3.2
0.3.3
0.3.4

$ git checkout 0.3.4
Note: checking out '0.3.4'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by performing another checkout.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -b with the checkout command again. Example:

  git checkout -b new_branch_name

HEAD is now at cec958a... Bump version to 0.3.4.

Comment 3 Miroslav Suchý 2014-08-27 12:15:29 UTC
Ah, I was just checking 
  git branch -r
did not realized I can checkout tag. Good then.

Comment 4 Miroslav Suchý 2014-08-27 12:18:01 UTC
Build failed for me:
+ cd /builddir/build/BUILD
+ gem unpack /builddir/build/SOURCES/websocket-driver-0.3.4.gem
/usr/share/rubygems/rubygems/ext/builder.rb:212:in `initialize': Permission denied @ rb_sysopen - /usr/lib64/gems/ruby/websocket-driver-0.3.4/gem_make.out (Errno::EACCES)
  from /usr/share/rubygems/rubygems/ext/builder.rb:212:in `open'
  from /usr/share/rubygems/rubygems/ext/builder.rb:212:in `write_gem_make_out'
  from /usr/share/rubygems/rubygems/ext/builder.rb:132:in `build_error'
  from /usr/share/rubygems/rubygems/ext/builder.rb:171:in `rescue in build_extension'
  from /usr/share/rubygems/rubygems/ext/builder.rb:156:in `build_extension'
  from /usr/share/rubygems/rubygems/ext/builder.rb:198:in `block in build_extensions'
  from /usr/share/rubygems/rubygems/ext/builder.rb:195:in `each'
  from /usr/share/rubygems/rubygems/ext/builder.rb:195:in `build_extensions'
  from /usr/share/rubygems/rubygems/specification.rb:1436:in `block in build_extensions'
  from /usr/share/rubygems/rubygems/user_interaction.rb:45:in `use_ui'
  from /usr/share/rubygems/rubygems/specification.rb:1434:in `build_extensions'
  from /usr/share/rubygems/rubygems/stub_specification.rb:60:in `build_extensions'
  from /usr/share/rubygems/rubygems/basic_specification.rb:56:in `contains_requirable_file?'
  from /usr/share/rubygems/rubygems/specification.rb:925:in `block in find_inactive_by_path'
  from /usr/share/rubygems/rubygems/specification.rb:924:in `each'
  from /usr/share/rubygems/rubygems/specification.rb:924:in `find'
  from /usr/share/rubygems/rubygems/specification.rb:924:in `find_inactive_by_path'
  from /usr/share/rubygems/rubygems.rb:185:in `try_activate'
  from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:132:in `rescue in require'
  from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:144:in `require'
  from <internal:abrt_prelude>:2:in `<compiled>'
RPM build errors:

Comment 5 Miroslav Suchý 2014-10-20 11:53:58 UTC
ping. Any progress here?

Comment 6 Josef Stribny 2014-10-21 08:57:24 UTC
For me the package builds in mock just fine...

Fresh Koji build: 
koji.fedoraproject.org/koji/taskinfo?taskID=7923663

Comment 7 Miroslav Suchý 2014-11-24 23:01:12 UTC
rubygem-websocket-driver.x86_64: E: non-standard-executable-perm /usr/lib64/gems/ruby/websocket-driver-0.3.4/lib/websocket_mask.so 0775L
But otherwise it is fine. You can fix it when pushing in dist-git.

APPROVED

Comment 8 Josef Stribny 2014-11-27 09:55:18 UTC
New Package SCM Request
=======================
Package Name: rubygem-websocket-driver
Short Description: WebSocket protocol handler with pluggable I/O
Upstream URL: http://github.com/faye/websocket-driver-ruby
Owners: jstribny
Branches: f21
InitialCC:

Comment 9 Gwyn Ciesla 2014-12-01 13:16:15 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.